Workspaces

GET /public/v1/do-not-contact

List the workspace Do Not Contact entries. Use type=prospects (default) or type=companies.

GET /public/v1/do-not-contact

GET /public/v1/do-not-contact

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/do-not-contact' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "type": "<string>",
    "entries": [
      {
        "first_name": "<string>",
        "last_name": "<string>",
        "name": "<string>",
        "linkedin_public_id": "<string>",
        "linkedin_urn": "<string>",
        "salesnav_urn": "<string>",
        "linkedin_url": "<string>",
        "reason": "<string>",
        "created_at": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Query Parameters

  • limit number
  • offset number
  • type string enum
  • workspaceId string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • type string
    • entries[] object array
      + Show Child Attributes
      • first_name string nullable
      • last_name string nullable
      • name string nullable
      • linkedin_public_id string nullable
      • linkedin_urn string nullable
      • salesnav_urn string nullable
      • linkedin_url string nullable
      • reason string nullable
      • created_at string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean